Bug 640736 - Groups: No way to toggle the "recursive" bit on a newly-created group.
Groups: No way to toggle the "recursive" bit on a newly-created group.
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
Depends On:
Blocks: rhq4 gwt-groups
  Show dependency treegraph
 
Reported: 2010-10-06 14:02 EDT by Corey Welton
Modified: 2011-05-23 21:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2010-10-06 14:02:39 EDT
Description of problem:
Users can create (compatible, mixed) groups but once created, cannot flip the recursive/non-recursive switch.  This is a breakage in parity with 2.4

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Inventory > Groups;  create a new group.  Notice the recursive toggle.  Don't check/uncheck it.
2.  Add some resources to your group and save.
3.  Navigate throughout the tabs for your group, particularly Summary and Inventory.
4.  Look for a way to change whether the group is recursive or not.
  
Actual results:
No way to change.

Expected results:
Ability to change this - parity with JON 2.4

Additional info:
Comment 1 Corey Welton 2010-10-06 14:11:33 EDT
Note: it appears you /can/ flip the "recursive" flag in for dynagroups, in Inventory > Dynagroup Manager by double-clicking on the dynagroup.
Comment 2 Jay Shaughnessy 2011-02-14 10:13:29 EST
This can be done from the details section.  Expand the details section (triangle style toggle just left of the group name.  Then, edit the recursive flag (assuming you have permission).  Note, currently a growser refresh is required to get the LHS tree to update.  I'm not sure if that's a problem or not, if so please open a new BZ.
Comment 3 Mike Foley 2011-04-20 15:16:24 EDT
verifying that recurisive is now edit-able from the details section.
Comment 4 Corey Welton 2011-05-23 21:14:13 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 5 Corey Welton 2011-05-23 21:14:14 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 6 Corey Welton 2011-05-23 21:14:14 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.